{# _datamax/api/templates/api_exchange/summary.html_ #}
{% extends "api_exchange_layout.html" %}

{% block body %}
<a class="card-link" href="#">
    <h5 class="card-title">Summary of APIs - {{ request.args.get('name') }}</h5>
</a>
<br/>

<table id="Content" class="display" style="90%">
<thead>
    <tr>
        <td>Id</td>
        <td>Name</td>
        <td>Description</td>
        <td>Parameters</td>
        <td>Output</td>
        <td>API URL</td>
    </tr>
</thead>
</table>

<script>
    $(document).ready(function() {

        var baseURL =  window.location.href.substr(0, window.location.href.indexOf('views/'));

        $('#Content').DataTable({
            "autoWidth": false,
             "stateSave": true,
             "ordering": false,
             "ajax": {
                url: "{{ url_for('api_exchange.summary') }}?name={{ request.args.get('name') }}",
                dataSrc: 'Contents',
             },
             "columns": [
                { data: "id"},
                { data: "name", "width": "20%"},
                { data: "description", "width": "20%"},
                { data: "parameters", "width": "20%"},
                { data: "output"},
                { data: null}
             ],
             columnDefs: [{
                // puts a button in the last column
                targets: [-1], render: function (a, b, data, d) {
                    return baseURL + "api/exchange?name=" + data.name + data.url;
                }
            }],
            dom: 'Bfrtip',
            buttons: [
                'copy', 'csv', 'excel', 'pdf', 'print'
            ]

        });
    });
</script>
{% endblock %}